﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <add key="SGELogs" value="C:\SAGE\TramitesRDS\SGELogs" />
    <add key="SGETokenTimeOut" value="30000" />
    <add key="SGEEmailPort" value="2525" />
  </appSettings>
  <system.web>
    <httpRuntime executionTimeout="999999" maxRequestLength="2147483647" />
    <compilation targetFramework="4.0" />
  </system.web>
  <system.serviceModel>
    <client>
      <endpoint address="http://ser.mintic.gov.co:8080/ServiceInterop.svc" binding="wsHttpBinding" bindingConfiguration="wsServiceInterop" contract="SevenWS.IServiceInterop" name="wsServiceInterop" />
      <endpoint address="http://10.100.100.194/Servicios/InterOpAlfaNetSage.asmx" binding="basicHttpBinding" bindingConfiguration="InterOpAlfaNet_SageSoap" contract="AlfaWS.InterOpAlfaNet_SageSoap" name="EsbOtiInterOpAlfaNetSageHttpSoap11Endpoint" />
	  <endpoint address="https://ws-azdigital.mintic.gov.co/AZDigital/Indices/Notificaciones/WebServices/SOAP/index.php" binding="basicHttpBinding" contract="AZDigitall.ServiciosNotificaciones_SOAP" />
	  <endpoint address="https://ws-azdigital.mintic.gov.co/AZDigital/WebServices/SOAP/index.php" binding="basicHttpBinding" bindingConfiguration="sgdaSoap11Binding" contract="AZRadicar.sgdaPortType" name="sgdaHttpSoap11Endpoint" />
    </client>
    <bindings>
      <basicHttpBinding>
        <binding name="InterOpAlfaNet_SageSoap">
        </binding>
        <binding name="InterOpAlfaNet_SageSoap1" />
		<binding name="sgdaSoap11Binding" >
          <security mode="Transport" />
        </binding>
		<binding name="ServiciosNotificaciones_SOAP" >
		  <security mode="Transport" />
        </binding>
      </basicHttpBinding>
	  <wsHttpBinding>
        <binding name="wsServiceInterop">
          <security mode="None">
            <transport clientCredentialType="Windows" />
            <message clientCredentialType="Windows" />
          </security>
        </binding>
      </wsHttpBinding>
      <webHttpBinding>
        <binding maxBufferSize="2147483647" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647">
          <readerQuotas maxDepth="32" maxStringContentLength="2147483647" maxArrayLength="2147483647" />
		  <security mode="Transport" />
        </binding>
      </webHttpBinding>
    </bindings>
    <behaviors>
      <serviceBehaviors>
        <behavior name="ServiceBehavior">
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="true" />
        </behavior>
      </serviceBehaviors>
      <endpointBehaviors>
        <behavior name="EndpBehavior">
          <webHttp />
        </behavior>
      </endpointBehaviors>
    </behaviors>
    <services>
      <service behaviorConfiguration="ServiceBehavior" name="SGEWCF2.SGEWS">
        <endpoint address="" binding="webHttpBinding" contract="SGEWCF2.ISGEWS" behaviorConfiguration="EndpBehavior" />
        <endpoint address="bas" binding="basicHttpBinding" contract="SGEWCF2.ISGEWS" />
      </service>
    </services>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
  <system.webServer>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="2147483647" />
      </requestFiltering>
    </security>
    <modules runAllManagedModulesForAllRequests="true" />
    <!--
        To browse web app root directory during debugging, set the value below to true.
        Set to false before deployment to avoid disclosing web app folder information.
      -->
    <directoryBrowse enabled="true" />
  </system.webServer>
  <connectionStrings>
    <add name="SGEFrontConnectionString" connectionString="Data Source=bellorita.mintic.gov.co;Initial Catalog=SageFrontOffice;Persist Security Info=True;User ID=TramitesRDS;Password=UgRM5KV9ZDneyMm3du9f" providerName="System.Data.SqlClient"/>
    <!--<add name="SGEFrontConnectionString" connectionString="Data Source=10.90.0.6;Initial Catalog=SageFrontOffice;Persist Security Info=True;User ID=sa;Password=Radio.160" providerName="System.Data.SqlClient" />-->
  </connectionStrings>
</configuration>
<!--ProjectGuid: {F1BA9924-C824-4578-AEC3-568B10307F65}-->